package org.example.demo.uebung2.aufgabe22;

import org.example.demo.uebung2.aufgabe21.Mitarbeiter;

import jakarta.ejb.Stateless;
import jakarta.persistence.EntityManager;
import jakarta.persistence.PersistenceContext;

@Stateless
public class MitarbeiterService implements MitarbeiterServiceRemote {

    @PersistenceContext
    private EntityManager em;

    @Override
    public int speichereMitarbeiter(Mitarbeiter m) {
        em.persist(m);
        return m.getId();
    }
}
